Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm
Interface JBossXATerminator

All Superinterfaces:
  javax.resource.spi.XATerminator

All Known Implementing Classes:
  TxManager

public interface JBossXATerminator
extends javax.resource.spi.XATerminator

Extends XATerminator to include registration calls

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Method Summary
`void` | `cancelWork(javax.resource.spi.work.Work work, Xid xid)` Invoked when the work fails
`void` | `endWork(javax.resource.spi.work.Work work, Xid xid)` Invoked when transaction inflow work ends
`void` | `registerWork(javax.resource.spi.work.Work work, Xid xid, long timeout)` Invoked for transaction inflow of work
`void` | `startWork(javax.resource.spi.work.Work work, Xid xid)` Invoked for transaction inflow of work

Methods inherited from interface javax.resource.spi.XATerminator
`commit, forget, prepare, recover, rollback`

Method Detail

### registerWork

    public void registerWork(javax.resource.spi.work.Work work,
                             Xid xid,
                             long timeout)
                      throws javax.resource.spi.work.WorkCompletedException

  Invoked for transaction inflow of work

  Parameters:
    `work` - the work starting
    `xid` - the xid of the work
    `timeout` - the transaction timeout
  Throws:
    `javax.resource.spi.work.WorkCompletedException` - with error code WorkException.TX_CONCURRENT_WORK_DISALLOWED when work is already present for the xid or whose completion is in progress, only the global part of the xid must be used for this check.

### startWork

    public void startWork(javax.resource.spi.work.Work work,
                          Xid xid)
                   throws javax.resource.spi.work.WorkCompletedException

  Invoked for transaction inflow of work

  Parameters:
    `work` - the work starting
    `xid` - the xid of the work
  Throws:
    `javax.resource.spi.work.WorkCompletedException` - with error code WorkException.TX_RECREATE_FAILED if it is unable to recreate the transaction context

### endWork

    public void endWork(javax.resource.spi.work.Work work,
                        Xid xid)

  Invoked when transaction inflow work ends

  Parameters:
    `work` - the work ending
    `xid` - the xid of the work

### cancelWork

    public void cancelWork(javax.resource.spi.work.Work work,
                           Xid xid)

  Invoked when the work fails

  Parameters:
    `work` - the work ending
    `xid` - the xid of the work

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.